Subject: bug#8951: [External] : Re: bug#8951: 24.0.50; [PATCH] enhancement request: buttonize key names

From: Drew Adams <[email-masked]>
Date: Sun, 24 Oct 2021 22:47:23 +0000

> > `substitute-command-keys' is a general function; it's not
> > used only for *Help* output.  Why not give it an optional
> > arg to do this font/linkifying?
> 
> I prefer not to, unless we have a use-case for it.  YAGNI.

Grep even just the vanilla Emacs-Lisp sources for
`substitute-command-keys'.  It's not used only for
*Help*.  And then think about uses by other code,
besides vanilla Emacs.

What's the reason you prefer not to?  I don't
understand.  Maybe you have a good reason, but
I don't think you gave any (?).